package com.ruoyi.tcZz.controller;

import cn.hutool.core.io.FileUtil;
import cn.hutool.http.HttpUtil;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.file.FileUtils;
import com.ruoyi.framework.config.ServerConfig;
import com.ruoyi.tcZz.domain.httpsRequest;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.io.FilenameUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;
import java.net.URL;

/**
 * @author du
 * @since 2024/1/17 16:04
 */
@Api(tags = "文件通用包装")
@RestController
@RequestMapping("/tcZz/networkEcology/getHttp")
public class httpController {

    @Value("${ruoyi.profile}")
    private String profile;

    @Autowired
    private ServerConfig serverConfig;

    /**
     * 根据文件地址去请求该地址的数据
     */
    @ApiOperation(value = "根据文件地址去请求该地址的数据")
    @PostMapping
    public AjaxResult screenSupervision(@RequestBody httpsRequest httpsRequest) throws IOException {
        URL url1 = new URL(httpsRequest.getUrls());
//        if (FilenameUtils.getExtension(url.getPath()).equals("docx") || FilenameUtils.getExtension(url.getPath()).equals("doc")) {
//            long l = HttpUtil.downloadFile(httpsRequest.getUrls(), FileUtil.file(this.profile));
//            // 设置响应头，用于告诉浏览器该响应是一个文件下载
//            response.setContentType("application/octet-stream");
//            response.setHeader("Content-Disposition", "attachment; filename=" + URLEncoder.encode(FilenameUtils.getName(url.getPath()), "UTF-8"));
//            // 获取文件流
//            InputStream inputStream = FileUtil.getInputStream(this.profile + "/" + FilenameUtils.getName(url.getPath()));
//            // 将文件流写入响应体中
//            ServletOutputStream outputStream = response.getOutputStream();
//            byte[] buffer = new byte[1024];
//            int bytesRead;
//            while ((bytesRead = inputStream.read(buffer)) != -1) {
//                outputStream.write(buffer, 0, bytesRead);
//            }
//            inputStream.close();
//            outputStream.flush();
//            outputStream.close();
//            boolean success = FileUtil.del(this.profile + "/" + FilenameUtils.getName(url.getPath()));
//        } else if (FilenameUtils.getExtension(url.getPath()).equals("pdf")) {
//        }
        long l = HttpUtil.downloadFile(httpsRequest.getUrls(), FileUtil.file(this.profile));
        String https = "/profile/"+FilenameUtils.getName(url1.getPath());
        AjaxResult ajax = AjaxResult.success();
        ajax.put("url", https);
        return ajax;
    }
}
